# Overview

### Connect to the API

The Maildrop API is located at `https://api.maildrop.cc/graphql` and only allows secured connections.

All requests must be valid GraphQL queries or mutations; any other query will fail with an error message.

#### See Also

* [Maildrop Quickstart](/quickstart.md)
* [GraphQL](/api-reference/graphql-api-schema.md)

### Authentication and Request Requirements

The Maildrop API currently requires no authentication. At some point in the future, there may be a requirement of a bearer token to perform queries if rate limiting is insufficient to stop high-volume query batches.

The only requirement is that every request must have the **Content-Type** header set to **application/json**. Without this header, the request will fail with an error message.

As with other GraphQL APIs, every request to the Maildrop API must be an HTTP **POST**.

### Request Formatting

Other than the formatting for GraphQL, there are no specific requirements for formatting a request to the API. Valid user agent strings, correct Accept headers for compression, and any header that you would set for a "normal" API request should all be set when accessing the Maildrop API.

Cache-Control headers will be ignored by the API - caching is done within the Maildrop architecture and trying to evict caches with the Cache-Control header will not work.

### Reference: List of API Methods

| API Method                                                         | Sample Query                                                                                     | Parameters                             |
| ------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------ | -------------------------------------- |
| Echo Resolver                                                      | ping(message: "Hello, world!")                                                                   | $message: String                       |
| [Get a Mailbox Listing](/api-reference/get-a-mailbox-listing.md)   | inbox(mailbox: "testing")                                                                        | $mailbox: String                       |
| [Get a Specific Message](/api-reference/get-a-specific-message.md) | message(mailbox: "testing", id: "abc123")                                                        | <p>$mailbox: String<br>$id: String</p> |
| [Delete a Message](/api-reference/delete-a-message.md)             | <p>delete(mailbox: "testing", id: "abc123")<br><br><strong>Note</strong>: this is a mutation</p> | <p>$mailbox: String<br>$id: String</p> |
| [Get a Mailbox Alias](/api-reference/get-a-mailbox-alias.md)       | altinbox(mailbox: "testing")                                                                     | $mailbox: String                       |
| [Maildrop Statistics](/api-reference/maildrop-statistics.md)       | statistics                                                                                       |                                        |
| [Service Status](/api-reference/service-status.md)                 | status                                                                                           |                                        |

#### See Also

* [GraphQL API Schema](/api-reference/graphql-api-schema.md#the-full-graphql-schema-for-maildrop)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maildrop.cc/api-reference/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
